package utils

import (
	"io/ioutil"
	"log"
	"os"
)

func WriteFile(destinationPath string, tempPath string, dataForDisk []byte) {
	if err := ioutil.WriteFile(tempPath, dataForDisk, 0644); err != nil {
		log.Fatalf("Error writing temp file : %s", err)
	}
	if err := os.Rename(tempPath, destinationPath); err != nil {
		log.Fatalf("Error moving new in place : %s", err)
	}
}
